//
// class MyFrame.
// Extends JFrame on which all other components
//    will be placed and implements listeners.

// Version 1.0. 15.08.00.
// Written by Mordechai Ben-Ari.
// Copyright 2000. M. Ben-Ari. All rights reserved.

 
import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;

public class MyFrame extends JFrame implements ActionListener {

    private static final String[] ColorNames =
      { "black", "blue",      "cyan",    "darkGray", "gray",
        "green", "lightGray", "magenta", "orange",
        "pink",  "red",       "white",   "yellow" };

    private static final Color[] awtColors =
      { Color.black, Color.blue,      Color.cyan,    Color.darkGray, Color.gray,
        Color.green, Color.lightGray, Color.magenta, Color.orange,
        Color.pink,  Color.red,       Color.white,   Color.yellow };

    private static final int dflt = 0;  // Default black

    public static String toColorString(Color c) {
      for (int i = 0; i < awtColors.length; i++)
        if (awtColors[i].equals(c))
           return ColorNames[i];
      return ColorNames[dflt];
    }

    public static Color toawtColor(String c) {
      for (int i = 0; i < ColorNames.length; i++)
        if (ColorNames[i].equals(c))
           return awtColors[i];
      return awtColors[dflt];
    }

  public Container    content       = getContentPane();
    // ContentPane on which components are placed.
  public static final String BLANKS = "                         ";
    // Blank string to place initially in components.

  /**
   *  Construct a new MyFrame.
   */
  public MyFrame() {
    setFont(new Font("SansSerif", Font.BOLD, 12));
    setSize(350, 200);
    content.setLayout(new FlowLayout());
    addWindowListener(
       new WindowAdapter() {
            public void windowClosing(WindowEvent e)  {
                dispose();
                System.exit(0);
            }
        }
     );
    show();
  }

  // ActionPerformed as required to implement ActionListener.
  // onClick is called by actionPerformed and can be overridden.
  public void actionPerformed(ActionEvent evt) {
    onClick(evt.getActionCommand());
  }

  public void onClick(String s) {
  }

  /**
   *  Set the text in this frame's title.
   *  Parameter s of type String is the text.
   */
  public void setText(String s) {
    setTitle(s);
  }

}
